Utiliser Debian et ses outils

Mettre à niveau Debian 10 vers 11

Table des matières

debian-logo



Introduction



Dans cet article, nous allons voir comment mettre à niveau une Debian 10 vers Debian 11.


Prérequis



Dans un premier temps, mettre à jour complètement son système :

Code BASH :
apt update 
apt full-upgrade


Modification des sources



Debian 10 a comme nom de code "buster".
Debian 11 a comme nom de code "bullseye"

On remplacera donc les occurrences buster en bullseye dans le sources.list via sed :

Code BASH :
sed -i 's/buster/bullseye/g' /etc/apt/sources.list


Si vous voulez le faire avec vi/vim ou nano vous pouvez aussi :)

Procéder à la mise à niveau



Maintenant, on rafraîchit les dépôts :

Code BASH :
apt update


Vous pouvez rencontrer cette erreur :
Code TEXT :
E: Le dépôt http://security.debian.org/debian-security bullseye/updates Release n'a pas de fichier Release.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
 


Il y a en effet une modification à apporter sur la ligne concernant security. Il ne faut plus indiquer codeversion mais codeversion-security.

Modifier donc la ligne dans ce même fichier sources.list :
Code TEXT :
deb http://security.debian.org/ bullseye/updates main

Par :
Code TEXT :
deb http://security.debian.org/ bullseye-security/updates main


Evidemment, conserver en fin de ligne contrib non-free si vous aviez activé les sources contrib et non-free.
Procédez de même avec la ligne deb-src si c'est actif sur votre système !

Et rafraîchissez à nouveau les dépôts, vous constaterez que vous n'avez plus l'erreur.

Code BASH :
apt update


Et on met à jour le système :

Code BASH :
apt full-upgrade


Après le téléchargement, et avant l'installation, une page indique les principales nouveautés concernant les paquets de votre système qui seront mis à jour. Pensez à les lire avec attention.

Pendant l'installation, certaines fenêtres pourront s'afficher vous demandant des actions :

Code TEXT :
Package configuration
 ┌────────────────┤ Configuring libc6:amd64 ├────────────────┐
 │                                                           │ 
 │ Restart services during package upgrades without asking?  │ 
 │                                                           │ 
 │               <Yes>                  <No>                 │ 
 │                                                           │ 
 └───────────────────────────────────────────────────────────┘ 
 


Une fois terminé, redémarrez :

Code BASH :
reboot


Vérifications



Vérifiez que vous êtes bien sur la nouvelle version :

Code BASH :
cat /etc/debian_version


Pensez à vérifier le bon fonctionnement de vos applicatifs !
Cette page a été vue 3319 fois